=== debian/changelog ===
mumps (5.1.1-3) unstable; urgency=medium

  * Team upload.
  * Update for scalapack 2.0. It now includes BLACS, so
    remove explicit blacs dependencies.
  * Standards-Version: 4.1.0

 -- Drew Parsons <dparsons@debian.org>  Sun, 10 Sep 2017 09:04:21 +0800

mumps (5.1.1-2) unstable; urgency=medium

  * Team upload.
  * Add copyright details for src/ana_orderings.F
    (LGPL/CeCill-C/BSD-3). Closes: #859492.
  * Standards-Version: 4.0.0
  * debhelper compatibility level 10

 -- Drew Parsons <dparsons@debian.org>  Fri, 14 Jul 2017 16:18:20 +0800

mumps (5.1.1-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version. Closes: #825824.
    - copyright now licenced under CeCILL-C
  * Standards-Version: 3.9.8
  * Place libs in multiarch subdirs. Build-Depends: dh-exec (>=0.3).

 -- Drew Parsons <dparsons@debian.org>  Wed, 29 Mar 2017 21:17:12 +0800
