=== debian/changelog ===
mumps (5.1.2-4) unstable; urgency=medium

  * Team upload.
  * link scalapack using MUMPS_MPI not openmpi (could be mpich)

 -- Drew Parsons <dparsons@debian.org>  Mon, 25 Dec 2017 07:10:24 +1100

mumps (5.1.2-3) unstable; urgency=medium

  * Team upload.
  * use mpicc, mpifort to build parallel MUMPS (and PTScotch support)
    rather than using pkg-config mpi-fort, since mpi-fort.pc is not
    available for mpich builds (m68k,sh4). Closes: #884939.

 -- Drew Parsons <dparsons@debian.org>  Sun, 24 Dec 2017 23:52:28 +1100

mumps (5.1.2-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.1.2

 -- Drew Parsons <dparsons@debian.org>  Tue, 19 Dec 2017 14:19:01 +0800

mumps (5.1.2-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version.
  * List OpenBLAS and ATLAS as alternative Build-Deps to provide BLAS
    and LAPACK.
  * Standards-Version: 4.1.1
  * debian/rules: create ./lib at build time, needed for build and
    present in upstream tarball, but not imported by gbp. 
  * debian/control: Priority: optional not extra

 -- Drew Parsons <dparsons@debian.org>  Wed, 29 Nov 2017 21:40:31 +0800
