=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: mumps
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  "Adam C. Powell,
@@ -9,16 +9,13 @@
  debhelper (>= 10),
  dh-exec (>= 0.3),
  gfortran,
- libblas-dev | libblas-3gf.so,
+ libblas-dev | libopenblas-dev | libatlas-base-dev | libblas.so,
+ liblapack-dev | libopenblas-dev | libatlas-base-dev | liblapack.so,
  libptscotch-dev (>= 5.1.7.dfsg-4),
- libscalapack-mpi-dev (>= 2.0.2), liblapack-dev,
+ libscalapack-mpi-dev (>= 2.0.2),
  libscotch-dev,
- mpi-default-dev,
- pkg-config,
-Build-Conflicts:
- libatlas-base-dev,
- libatlas3gf-base,
-Standards-Version: 4.1.0
+ mpi-default-dev
+Standards-Version: 4.1.2
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/mumps.git
 Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/mumps.git
 Homepage: http://mumps.enseeiht.fr/
@@ -28,7 +25,7 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libmumps-5.1.1 (= ${binary:Version}),
+ libmumps-5.1.2 (= ${binary:Version}),
  libscalapack-mpi-dev,
  mpi-default-dev,
  ${misc:Depends},
@@ -44,7 +41,7 @@
 Multi-Arch: same
 Depends:
  libmumps-dev,
- libmumps-seq-5.1.1 (= ${binary:Version}),
+ libmumps-seq-5.1.2 (= ${binary:Version}),
  ${misc:Depends},
 Description: Direct linear systems solver - non-parallel development files
  MUMPS implements a direct solver for large sparse linear systems, with a
@@ -56,7 +53,7 @@
  Unless you know that you specifically need this, then you almost
  certainly want the libmumps-dev package.
 
-Package: libmumps-5.1.1
+Package: libmumps-5.1.2
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -71,7 +68,7 @@
  operate on distributed matrices e.g. over a cluster.  It has Fortran and
  C interfaces, and can interface with ordering tools such as Scotch.
 
-Package: libmumps-seq-5.1.1
+Package: libmumps-seq-5.1.2
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -86,9 +83,9 @@
  .
  This package is built the MUMPS libseq dummy sequential MPI library.
  Unless you know that you specifically need this, then you almost
- certainly want the libmumps-5.1.1 package.
+ certainly want the libmumps-5.1.2 package.
 
-Package: libmumps-scotch-5.1.1
+Package: libmumps-scotch-5.1.2
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -103,7 +100,7 @@
  .
  This package is built the MUMPS libseq dummy sequential MPI library
  with scotch support. Unless you know that you specifically need this,
- then you almost certainly want the libmumps-5.1.1 package.
+ then you almost certainly want the libmumps-5.1.2 package.
 
 Package: libmumps-scotch-dev
 Architecture: any
@@ -111,7 +108,7 @@
 Multi-Arch: same
 Depends:
  libmumps-dev,
- libmumps-scotch-5.1.1 (= ${binary:Version}),
+ libmumps-scotch-5.1.2 (= ${binary:Version}),
  ${misc:Depends},
 Description: Direct linear systems solver - Scotch-version development files
  MUMPS implements a direct solver for large sparse linear systems, with a
@@ -121,9 +118,9 @@
  .
  This package is built the MUMPS libseq dummy sequential MPI library
  with scotch support. Unless you know that you specifically need this,
- then you almost certainly want the libmumps-5.1.1 package.
+ then you almost certainly want the libmumps-5.1.2 package.
 
-Package: libmumps-ptscotch-5.1.1
+Package: libmumps-ptscotch-5.1.2
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -144,7 +141,7 @@
 Multi-Arch: same
 Depends:
  libmumps-dev,
- libmumps-ptscotch-5.1.1 (= ${binary:Version}),
+ libmumps-ptscotch-5.1.2 (= ${binary:Version}),
  ${misc:Depends},
 Description: Direct linear systems solver - PTScotch-version development files
  MUMPS implements a direct solver for large sparse linear systems, with a
